## mwic 0.7.7

=== Makefile ===
# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

PYTHON = python3
INSTALL = $(if $(shell command -v ginstall;),ginstall,install)

PREFIX = /usr/local
DESTDIR =

exe = mwic

bindir = $(PREFIX)/bin
basedir = $(PREFIX)/share/$(exe)
mandir = $(PREFIX)/share/man

.PHONY: all
all: ;

.PHONY: install
install:
	# binary:
	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
	sed -e "s#^basedir = .*#basedir = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
	# library + data:
	( find lib dict -type f ! -name '*.py[co]' ) \
	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
ifeq "$(wildcard doc/$(exe).1)" ""
	# run "$(MAKE) -C doc" to build the manpage
else
	# manual page:
	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
endif

.PHONY: test
test:
	$(PYTHON) tests/run-tests --verbose

.PHONY: clean
clean:
	find . -type f -name '*.py[co]' -delete
	find . -type d -name '__pycache__' -delete
	rm -f .coverage

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

## mwic 0.7.6

=== debian/changelog ===
mwic (0.7.6-1) unstable; urgency=medium

  [ Georg Faerber ]
  * New upstream release.
  * d/control:
    - Bump Standards-Version to 4.2.1, no changes needed.
    - Add dh-python to Build-Depends. (Closes: #902638)

  [ Ondřej Nový ]
  * d/control: Fix wrong Vcs-*
  * d/control: Remove ancient X-Python3-Version field

 -- Georg Faerber <georg@riseup.net>  Tue, 02 Oct 2018 08:15:18 +0000

mwic (0.7.4-1) unstable; urgency=medium

  * Initial release. (Closes: #849327)

 -- Georg Faerber <georg@riseup.net>  Wed, 21 Mar 2018 10:51:25 +0100

=== debian/control ===
Source: mwic
Section: devel
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders:
 Georg Faerber <georg@riseup.net>,
Build-Depends:
 debhelper (>= 11~),
 dh-python,
 python3,
 python3-docutils,
 python3-enchant,
 python3-nose,
 python3-regex,
Standards-Version: 4.2.1
Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
Homepage: https://jwilk.net/software/mwic
Rules-Requires-Root: no

Package: mwic
Architecture: all
Depends:
 python3,
 python3-enchant,
 python3-regex,
 ${misc:Depends},
 ${python3:Depends},
Description: spell-checker to find misspellings and to show their contexts
 mwic, misspelled words in context, is a spell-checker that groups possible
 misspellings and shows them in their contexts. This is useful for checking
 technical documents that often contain words that are not included in standard
 dictionaries.

## mwic 0.7.7

=== debian/changelog ===
mwic (0.7.7-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 16:14:00 +0800

mwic (0.7.7-1) unstable; urgency=medium

  * New upstream release:
    - Fixes manual page reproducibility issue. (Closes: #910114)
  * Switch from debian/compat to debhelper-compat build dependency.

 -- Georg Faerber <georg@riseup.net>  Thu, 15 Nov 2018 09:30:44 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Uploaders:
  Georg Faerber <georg@riseup.net>,
 Build-Depends:
- debhelper (>= 11~),
+ debhelper-compat (= 11),
  dh-python,
  python3,
  python3-docutils,

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=python3

override_dh_auto_build:
	dh_clean doc/mwic.1 tests/coverage
	$(MAKE) -C doc
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_clean:
	dh_clean doc/mwic.1 tests/coverage

## mwic 0.7.8

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2018 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -19,34 +19,42 @@
 # SOFTWARE.
 
 PYTHON = python3
-INSTALL = $(if $(shell command -v ginstall;),ginstall,install)
 
 PREFIX = /usr/local
 DESTDIR =
 
-exe = mwic
-
 bindir = $(PREFIX)/bin
-basedir = $(PREFIX)/share/$(exe)
+basedir = $(PREFIX)/share/mwic
 mandir = $(PREFIX)/share/man
 
 .PHONY: all
 all: ;
 
+python_exe = $(shell $(PYTHON) -c 'import sys; print(sys.executable)')
+
 .PHONY: install
-install:
-	# binary:
-	$(INSTALL) -d -m755 $(DESTDIR)$(bindir)
-	sed -e "s#^basedir = .*#basedir = '$(basedir)/'#" $(exe) > $(DESTDIR)$(bindir)/$(exe)
-	chmod 0755 $(DESTDIR)$(bindir)/$(exe)
+install: mwic
+	$(PYTHON) - < lib/__init__.py  # Python version check
+	# executable:
+	install -d $(DESTDIR)$(bindir)
+	sed \
+		-e "1 s@^#!.*@#!$(python_exe)@" \
+		-e "s#^basedir = .*#basedir = '$(basedir)/'#" \
+		$(<) > $(<).tmp
+	install $(<).tmp $(DESTDIR)$(bindir)/$(<)
+	rm $(<).tmp
 	# library + data:
-	( find lib dict -type f ! -name '*.py[co]' ) \
-	| xargs -t -I {} $(INSTALL) -p -D -m644 {} $(DESTDIR)$(basedir)/{}
-ifeq "$(wildcard doc/$(exe).1)" ""
+	install -d $(DESTDIR)$(basedir)/dict
+	install -p -m644 dict/* $(DESTDIR)$(basedir)/dict/
+	install -d $(DESTDIR)$(basedir)/lib
+	install -p -m644 lib/*.py $(DESTDIR)$(basedir)/lib/
+	umask 022 && $(PYTHON) -m compileall -q -d $(basedir)/lib $(DESTDIR)$(basedir)/lib
+ifeq "$(wildcard doc/*.1)" ""
 	# run "$(MAKE) -C doc" to build the manpage
 else
 	# manual page:
-	$(INSTALL) -p -D -m644 doc/$(exe).1 $(DESTDIR)$(mandir)/man1/$(exe).1
+	install -d $(DESTDIR)$(mandir)/man1
+	install -p -m644 doc/$(<).1 $(DESTDIR)$(mandir)/man1/
 endif
 
 .PHONY: test
@@ -58,6 +66,7 @@
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
 	rm -f .coverage
+	rm -f *.tmp
 
 .error = GNU make is required

=== debian/changelog ===
mwic (0.7.8-1) unstable; urgency=medium

  [ Georg Faerber ]
  * New upstream version 0.7.8. (Closes: #951142)
  * d/control:
    - Use my debian.org mail address.
  * d/u/signing-key.asc:
    - Use minimal key export, remove useless signatures to make lintian happy.

  [ Christian Göttsche ]
  * d/control:
    - Bump Standards-Version to 4.5.0, no changes required.
    - Move to debhelper compat level 12.
    - Add dependency on hunspell-en-gb to fix current FTBFS situation.
      (Closes: #946288, #951926)
  * d/rules:
    - Fail on not-installed files.
  * d/salsa-ci.yml:
    - Add standard salsa-ci configuration.

 -- Georg Faerber <georg@debian.org>  Thu, 09 Apr 2020 19:57:20 +0000

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,18 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders:
- Georg Faerber <georg@riseup.net>,
+ Georg Faerber <georg@debian.org>,
 Build-Depends:
- debhelper-compat (= 11),
+ debhelper-compat (= 12),
  dh-python,
  python3,
  python3-docutils,
  python3-enchant,
  python3-nose,
  python3-regex,
-Standards-Version: 4.2.1
+# needed for unit tests targeting en-GB
+ hunspell-en-gb
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
 Homepage: https://jwilk.net/software/mwic

=== debian/rules ===
--- 
+++ 
@@ -13,3 +13,6 @@
 
 override_dh_clean:
 	dh_clean doc/mwic.1 tests/coverage
+
+override_dh_missing:
+	dh_missing --fail-missing

=== debian/watch ===
version=4

opts=pgpsigurlmangle=s/$/.asc/ \
https://github.com/jwilk/mwic/releases \
.*/mwic-(\d\S*)\.tar\.gz

## mwic 0.7.10

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-# Copyright © 2012-2019 Jakub Wilk <jwilk@jwilk.net>
+# Copyright © 2012-2022 Jakub Wilk <jwilk@jwilk.net>
 #
 # Permission is hereby granted, free of charge, to any person obtaining a copy
 # of this software and associated documentation files (the “Software”), to deal
@@ -59,12 +59,13 @@
 
 .PHONY: test
 test:
-	$(PYTHON) tests/run-tests --verbose
+	$(PYTHON) -bb -m pytest -v
 
 .PHONY: clean
 clean:
 	find . -type f -name '*.py[co]' -delete
 	find . -type d -name '__pycache__' -delete
+	rm -rf .pytest_cache
 	rm -f .coverage
 	rm -f *.tmp

=== doc/Makefile ===
# Copyright © 2014-2018 Jakub Wilk <jwilk@jwilk.net>
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the “Software”), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in
# all copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED “AS IS”, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

export LC_ALL=C

rst2man = $(notdir $(shell command -v rst2man || echo rst2man.py))
exe = mwic

.PHONY: all
all: $(exe).1

$(exe).1: manpage.rst
	$(rst2man) --input-encoding=UTF-8 < $(<) > $(@).tmp
	perl -pi -e '/^[.]BI\b/ and s/\\fP/\\fR/g' $(@).tmp  # work-around for https://bugs.debian.org/806601
	perl -pi -e 's/([a-z])\\[(]aq([a-z])/$$1\x27$$2/g' $(@).tmp  # prefer ' to \(aq when used as an apostrophe
	perl -ni -e 'print unless /^[.]\\" vim:/' $(@).tmp
	mv $(@).tmp $(@)

.PHONY: clean
clean:
	rm -f $(exe).1 *.tmp

.error = GNU make is required

# vim:ts=4 sts=4 sw=4 noet

=== debian/changelog ===
mwic (0.7.10-3) unstable; urgency=medium

  * QA upload.
  * debian/test/control: Really fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 11:17:35 -0500

mwic (0.7.10-2) unstable; urgency=medium

  * Team upload.
  * debian/test/control: Update test commands to fix autopkgtest.

 -- Boyuan Yang <byang@debian.org>  Fri, 08 Mar 2024 09:16:38 -0500

mwic (0.7.10-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * debian/*.lintian-overrides: Removed, not needed.
  * Refresh packaging:
    + Bump Standards-Version to 4.6.2.
    + Bump debhelper compat to v13.
    + Update build-dependency to use python3-pytest.
    - Drop usage of python3-nose, no longer needed. (Closes: #1018416)

 -- Boyuan Yang <byang@debian.org>  Thu, 07 Mar 2024 21:52:40 -0500

mwic (0.7.8-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

 -- Sandro Tosi <morph@debian.org>  Wed, 04 May 2022 01:07:08 -0400

=== debian/control ===
--- 
+++ 
@@ -1,22 +1,22 @@
 Source: mwic
 Section: devel
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Georg Faerber <georg@debian.org>,
 Build-Depends:
- debhelper-compat (= 12),
- dh-python,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
  python3,
  python3-docutils,
  python3-enchant,
- python3-nose,
+ python3-pytest <!nocheck>,
  python3-regex,
 # needed for unit tests targeting en-GB
  hunspell-en-gb
-Standards-Version: 4.5.0
-Vcs-Git: https://salsa.debian.org/python-team/modules/mwic.git
-Vcs-Browser: https://salsa.debian.org/python-team/modules/mwic
+Standards-Version: 4.6.2
+Vcs-Git: https://salsa.debian.org/python-team/packages/mwic.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/mwic
 Homepage: https://jwilk.net/software/mwic
 Rules-Requires-Root: no

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_build:
	dh_clean doc/mwic.1 tests/coverage
	$(MAKE) -C doc
	dh_auto_build

override_dh_auto_install:
	dh_auto_install -- PREFIX=/usr

override_dh_clean:
	dh_clean doc/mwic.1 tests/coverage

=== debian/tests/control ===
Test-Command: mwic --version && mwic --debug-dict --lang en-US && mwic --debug-dict --lang en-GB && make test
Depends: @, python3-enchant, python3-pytest, python3-regex, hunspell-en-gb, make
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain,gpgmode=auto" \
 https://api.github.com/repos/jwilk/mwic/releases?per_page=100 \
 https://github.com/jwilk/mwic/releases/download/[^/]+/@PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
